Package Details: datovka 4.13.1-1

Git Clone URL: https://aur.archlinux.org/datovka.git (read-only)
Package Base: datovka
Description: GUI application for a 'Databox' - an electronic communication interface endorsed by the Czech government
Upstream URL: https://www.datovka.cz/
Licenses: LGPL
Submitter: Dragonlord
Maintainer: Dragonlord
Last Packager: Dragonlord
Votes: 13
Popularity: 0.026705
First Submitted: 2012-05-08 19:50
Last Updated: 2019-05-06 20:05

Latest Comments

1 2 Next › Last »

pixelfields commented on 2019-04-29 19:58

Guys, after the last system update I can't start the app, getting following error:

datovka: error while loading shared libraries: libicui18n.so.63: cannot open shared object file: No such file or directory

Rebuilding the package doesn't seem to help. Is there something what I can do to solve it? Any advice?

jamar commented on 2019-04-04 18:04

Okay, did some further debugging and it seems to be related to openss library, becouse it seems to fail when calling its functions like:

X509_free() of BUF_MEM_free()

Anyway, installig older version of openssl (openssl-1.1.1.a-1) fixes the problem for me and now Datovka works without any crashes.

UPDATE: Datovka developer is already aware about this issue:

https://gitlab.labs.nic.cz/datovka/datovka/issues/410

It's openssl bug and should be fixed in new openssl version. So, for now just use older openssl.

jamar commented on 2019-04-04 17:06

Same here, I've rebuilt libisds and Datovka, but it also crashes when downloading message details. I've even removed old configuration and database files and created whole new profile to rule out database problem, but it's still the same:

terminate called after throwing an instance of 'std::bad_alloc' what(): std::bad_alloc

But I have no idea what's wrong.

dundee commented on 2019-03-31 19:07

Updated Datovka and libisds as well, but it still crashes when downloading whole message content.

terminate called after throwing an instance of 'std::bad_alloc' what(): std::bad_alloc

Any ideas?

mikky commented on 2018-11-06 09:54

@dragonlord: this always happens on Datovka updates and rebuilds, not on libraries updates.

Not-so-obviously, this is related to libisds, which must be rebuilt after Datovka is updated. Perhaps mention this in installation note?

Dragonlord commented on 2018-10-01 10:56

@mikky - official packages get rebuilt on soname library changes, for AUR packages this is up to you to take care of.

mikky commented on 2018-04-04 16:11

current ICU lib is 61, Datovka, for some reasons, links to v. 60, not generic:

datovka: error while loading shared libraries: libicui18n.so.60: cannot open shared object file: No such file or directory

jvybihal commented on 2017-12-17 13:35

I had to install 'icu59' from AUR otherwise it would not load with: datovka: error while loading shared libraries: libicui18n.so.59: cannot open shared object file: No such file or directory

Probably dependency needs to be added.

mikky commented on 2017-09-21 18:12

missing dependency: qt5-svg

xvalen commented on 2017-09-03 08:17

Please consider adding following command to PKGBUILD for language support.

lrelease-qt5 datovka.pro

Here is the modified build block.

build() {
cd "${srcdir}"/$pkgname-$pkgver

lrelease-qt5 datovka.pro
qmake-qt5 PREFIX=/usr
make
}